main {
	set hs [hcp south]
	reject unless {$hs>=20 && $hs<=21}
	# Note: balanced excludes 5 cards suits in the majors.
	reject unless [balanced south]

  set hn [hcp north]
  reject unless {$hn>=5 && $hn<=10}
	
	# Responder would make a Jacoby Transfer or use Stayman.
	reject if { [hearts north] >= 4 || [spades north] >= 4 }

	# Assume responder trots out some gadget with 10+ cards in the minor suits.
	reject if { [diamonds north] + [clubs north] >= 10 }
	
	# Assume responder makes a quantitative 4N bid one HCP light with a 5+ card minor.
	reject if { $hn==10 && ([diamonds north] >= 5 || [clubs north] >= 5) }

	accept
}
